> For the complete documentation index, see [llms.txt](https://docs.ordinalsbot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ordinalsbot.com/api/getting-prices/getting-prices-legacy.md).

# Getting Prices (Legacy)

**Legacy endpoint kept for backwards compatibility. Results may or may not be correct. Always use POST** [**/price**](/api/getting-prices.md) **for reliable results.**

Use this endpoint to check the price (in satoshis) that user will need to pay to use services offered by this API.

### `GET` price estimates

## Get Inscription Price (in satoshis)

<mark style="color:blue;">`GET`</mark> `https://api.ordinalsbot.com/price`

This endpoint will calculate all fees related to the operation and return the total as well as the breakdown.

#### Query Parameters

<table><thead><tr><th width="165">Name</th><th width="134">Type</th><th>Description</th></tr></thead><tbody><tr><td>size<mark style="color:red;">*</mark></td><td>Number</td><td>Total size of all files to be inscribed in bytes</td></tr><tr><td>fee<mark style="color:red;">*</mark></td><td>Number</td><td>Miner fee that will be paid while inscribing the ordinal in sats/byte. (default=2 sats/byte)</td></tr><tr><td>count</td><td>Number</td><td>Number of files to be inscribed (default=1)</td></tr><tr><td>rareSats</td><td>String</td><td><p>Inscribe on a rare, exotic, early sat. </p><p>Options: block9 | block78 | pizza | uncommon | random</p><p>(default=random)</p><p></p><p>check <code>/inventory</code> endpoint for current availability.</p></td></tr><tr><td>type</td><td>Enum</td><td><p>The order type</p><p></p><p><strong>"bulk"</strong> for <a data-mention href="/pages/DZ49lzL7RFQn0H2WdHE1">/pages/DZ49lzL7RFQn0H2WdHE1</a><br><strong>"direct"</strong> for <a data-mention href="/pages/IPVBmJE53CGxMwVlIQap">/pages/IPVBmJE53CGxMwVlIQap</a><br><strong>"rune-etch"</strong> for <a data-mention href="/pages/Mg8ftqO18E4lVzZrn1Jn">/pages/Mg8ftqO18E4lVzZrn1Jn</a><br><strong>"rune-mint"</strong> for <a data-mention href="/pages/j1D4WnYLRvXhHabEFmoE">/pages/j1D4WnYLRvXhHabEFmoE</a></p></td></tr><tr><td>batchMode</td><td>String</td><td>"separate-outputs" or "shared-output" if requesting price calculation for a batch inscription.</td></tr><tr><td>additionalFee</td><td>Number</td><td>Additional fee(in satoshis) to be added to order total and passed to your referral code.</td></tr><tr><td>postage</td><td>Number</td><td><p>Set custom postage for the order's asset: minimum 330 sats, maximum 10,000 sats.</p><p></p><p>(default=546)</p></td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "chainFee": 41580,
    "serviceFee": 13704,
    "baseFee": 9000,
    "rareSatsFee": 0,
    "additionalFee": 0,
    "postage": 546,
    "amount": 55284,
    "totalFee": 55284
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ordinalsbot.com/api/getting-prices/getting-prices-legacy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
